# Changelog

## 2024-09-19 - 6.1.1 - fix(ts_server)
Update DnsSec class to fully implement key generation and DNSKEY record creation.

- Added complete support for ECDSA and ED25519 algorithms in the DnsSec class.
- Implemented DNSKEY generation and KeyTag computation methods.
- Improved error handling and initialized the appropriate cryptographic instances based on the algorithm.

## 2024-09-18 - 6.1.0 - feat(smartdns)
Add DNS Server and DNSSEC tools with comprehensive unit tests

- Updated package dependencies to the latest versions
- Introduced DnsServer class for handling DNS requests over both HTTPS and UDP with support for custom handlers
- Added DnsSec class for generating and managing DNSSEC keys and DS records
- Implemented unit tests for DnsServer and Smartdns classes

## 2024-06-02 - 6.0.0 - server/client
Main description here

- **Breaking Change:** Move from client only to server + client exports.

## 2024-03-30 - 5.0.4 - maintenance
Range contains relevant changes

- Switch to new org scheme

## 2023-04-08 - 5.0.4 - core
Main description here

- Core update
- Fixes applied to the system

## 2022-07-27 - 5.0.0 - core
Update contains relevant changes

- **Breaking Change:** Major update and core changes
- Fixes and updates applied

## 2022-07-27 - 4.0.11 - core
Range contains relevant changes

- **Breaking Change:** Core update and changes applied

## 2021-08-24 - 4.0.10 - core
Range contains relevant changes

- Fixes applied to the core functionalities

## 2021-01-23 - 4.0.8 - core
Range contains relevant changes

- Updates and fixes to the core components

## 2020-08-05 - 4.0.4 - core
Range contains relevant changes

- Multiple core fixes applied

## 2020-02-15 - 4.0.0 - core
Main description here

- Core updates
- Fixes applied across the system

## 2020-02-15 - 3.0.8 - core
Core updates with major changes

- **Breaking Change:** Now uses Google DNS HTTPS API and handles DNSSEC validation

## 2019-01-07 - 3.0.6 - core
Range contains relevant changes

- Fixes and updates applied to the core

## 2018-05-13 - 3.0.4 - core
Range contains relevant changes

- Fixes applied, including `fix .checkUntilAvailable` error

## 2018-05-13 - 3.0.0 - ci
Main description here

- CI changes and updates to the access level and global packages

## 2017-07-31 - 2.0.10 - package
Update to new package name and improved record retrieval

- **Breaking Change:** Package name update and record retrieval improvements

## 2017-01-27 - 2.0.1 - maintenance
Multiple fixes and merges

## 2017-01-27 - 2.0.0 - core
Fix typings and update to better API

## 2016-11-15 - 1.0.7 - initial
Initial setup and improvements

- Initial deployment
- README improvements

